.overlay {
    position: fixed;
    background: rgba(0,0,0,0.4);
    width: 100%;
    min-height: 100vh;
    z-index: 999;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .2s ease-in-out;
}

.modal {
    width: 100%;
    max-width: 500px;
    background: white;
    padding: 10px;
    border-radius: 5px;
    transition: .2s ease-in-out;
}

.modal.large {
    max-width: 900px;
}

.modal-header {
    position: relative;
}

.modal-title {
    text-transform: uppercase;
    padding-right: 30px;
    color: var(--blue);
    font-size: 1.3rem;
}

.modal-subtitle {
    font-size: .85rem;
    font-weight: normal;
    color: #888;
    line-height: .5rem;
}

.modal-header .modal-close {
    position: absolute;
    top: 0;
    right: 0;
    background: transparent;
    border: 0;
    cursor: pointer;
    padding: 0;
    font-size: 1.3rem;
    min-width: unset;
}

.modal-body {
    margin: 20px 0;
}

.modal-body.no-footer {
    margin-bottom: 0;
}

.modal-footer {
    text-align: right;
}

.modal-footer button {
    margin-left: 20px;
}

.scroller {
    height: 75vh;
    overflow-y: auto;
}

.scroller::-webkit-scrollbar {
    background: #f1f1f1;
    width: 5px;
}

.scroller::-webkit-scrollbar-thumb {
    background: var(--primary);
}

.modal-footer app-loader {
    transform: translateY(2px);
    display: inline-block;
}

@media (min-width: 768px) {
    .modal {
        padding: 40px;
    }
    .modal-body {
        margin: 40px 0;
    }
}